@font-face {
  font-family: 'DynaPuff';
  font-style: normal;
  font-weight: 400 700;
  font-stretch: 75% 100%;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/dynapuff/v4/z7NXdRvsZDIVHbYPMjxF9Jk.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
  font-family: 'Manjari';
  font-style: normal;
  font-weight: 100;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/manjari/v12/k3kSo8UPMOBO2w1UdbrYLGHE.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
  font-family: 'Manjari';
  font-style: normal;
  font-weight: 700;
  src: url(https://fonts.gstatic.com/s/manjari/v12/k3kVo8UPMOBO2w1UdWLNO0bhLA.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* Estilo de todos los elementos: tamaño teniendo en cuenta padding y borde */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Canvas: posicion en la esquina superior izquierda y ocupa toda la ventana*/
#myCanvas {
  margin: 0;
  padding: 0;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  display: block;
}

/* Html y body: sin margenes y desbordamiento oculto */
html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  font-family: 'Manjari';
  font-weight: 700;
  letter-spacing: 0.1rem;
  font-size: 20px;
}

body {
  background-color: #680D0D;
  background-size: 80px 80px;
}

h1 {
  padding-bottom: 60px;
  font-family:'DynaPuff';
  font-size: 100px;
  font-weight: 400;
}

p {
  line-height: 1.4;
}

/* Fade: opacidad animada */
#menu {
  margin: 0;
  padding: 0;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: fixed;
  background-color: #242521;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 3;
  opacity: 1;
  transition: opacity 0.5s ease-in-out;
}

#playButton {
  padding: 22px 30px 16px 30px;
  font-family: 'Manjari';
  font-weight: 700;
  letter-spacing: 0.1rem;
  font-size: 20px;
  background-color: transparent;
  color: white;
  border-radius: 20px;
  border: solid white 4px;
  transition: transform 0.2s, background 0.2s;
  cursor: pointer;
}

#playButton:hover {
  background: #52544C !important;
  transform: scale(1.05);
}

input[type="color"] {
  width: 40px;
  height: 30px;
  padding: 2px 4px 3px 4px;
  background-color: transparent;
  border-radius: 10px;
  border: solid white 2px;
}

#finalMass {
  color: #FF6B6B;
}

#result {
  display: flex;
  gap: 10px;
  align-items: center;
}

#tutorial {
  font-weight: 100;
}

#copyright {
  font-size: 18px;
  font-weight: 100;
  bottom: 26px;
  position: fixed;
  text-decoration: underline;
  text-underline-offset: 6px;
  text-decoration-thickness: 1px;
}

#copyright:link {
  color: white;
}

#copyright:hover {
  color: #E7ACFF;
}

#copyright:visited {
  color: white;
}

#copyright:active {
  color: white;
}

.divider {
  width: 30%;
  margin: 20px 0;
}